﻿
; 「PASORAMA for DF-X10001」64bit版用
; パネル表示オン/オフ切り替えツール

; PASORAMA上で「F1」を押したときに、画面上部のパネルの表示/非表示を切り替えられるようにするツールです。
; パネルと共に入力エリアも非表示になります。「F2」キーでポップアップする入力ボックスを代わりにお使いください。

; Windows 7（64bit）上の「PASORAMA for DF-X10001」64bit版でのみ動作確認しています。
; 他のバージョンで動くかどうかは不明です。

; スクリプト内では以下のClassNNを使用しています。お使いの環境でClassNNが異なる場合は修正してください。
; ・ReBarWindow321  … パネル部のClassNN
; ・Static1         … 検索モード表示部（入力エリア左側）のClassNN
; ・Edit1           … 入力エリアのClassNN

#IfWinActive, PASORAMA, 接続(&F)

F1:: ; ================ パネルの切り替え処理 ================
    ; パネルの表示/非表示を反転
    ControlGet, visible, Visible, , ReBarWindow321, A
    if (visible) {
        Control, Hide, , ReBarWindow321, A
        ControlGetText, mode, Static1, A
        title := "PASORAMA - " . mode
    } else {
        Control, Show, , ReBarWindow321, PASORAMA
        title := "PASORAMA"
    }

    ; ウィンドウを再描画
    WinGet, state, MinMax, A 
    if (state == 1) {
        WinRestore, A
        WinMaximize, A
    } else {
        WinGetPos, , , w, h, A
        WinMove, A, , , , % w - 1, % h - 1
        WinMove, A, , , , % w, % h
    }

    ; タイトルを設定
    WinSetTitle, A,, %title%
    return

F2:: ; ================ 入力ボックスの処理 ================
    ; 入力ボックスの位置を決定
    WinGetPos, x, y, w, h, A
    x := x + w/2 - 192
    y := y + h/2 - 64

    ; 入力ボックスを表示
    InputBox, str, PASORAMA, 検索語句, , 384, 128, x, y

    ; 語句を送信
    if (!ErrorLevel && str) {
        clipbkup := Clipboard
        Clipboard := str
        WinActivate, PASORAMA, 接続(&F)
        ControlFocus, Edit1, A
        Send, {Home}+{End}^v
        Sleep, 200
        Clipboard := clipbkup
    }
    return

#IfWinActive
